git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [CANCELLED] Release AntUnit 1.4 Based on RC2


On Sun, 24 Jun 2018 at 12:43, Stefan Bodewig <bodewig@xxxxxxxxxx> wrote:

> On 2018-06-24, Gintautas Grigelionis wrote:
> > Actually, the targets are written in a way that checks explicitly for
> > JUnit 3.  Should they be rewritten to check for JUnit 4, the baseline
> > has to be moved to all the way Ant 1.9.5 because of BuildFileRule
> > being first available in that version.
>
> Would moving to JUnit 4 force us to use BuildFileRule? I'm pretty sure
> we've used JUnit4 before 1.9.5 but may be wrong.
>

BuildFileRule is necessary when test case no longer extend BuildFileRule
which extends TestCase which is JUnit 3,

Gintas